| AttributeCertificate | Contents | Index
Codec.ASN1.InformationFramework |
Portability | non-portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk
Contents
Type declarations Function declarations
Description
Definitions to allow the typechecking of (BER) encodings of definitions from InformationFramework {joint-iso-itu-t(2) ds(5) module(1) informationFramework(1) 3} and functions to extract information from encodings of them. See http://www.itu.int/ITU-T/asn1/database/itu-t/x/x501/2005/InformationFramework.html
Synopsis
data GeneralName
= Rfc822Name IA5String
| DNSName IA5String
| DirectoryName Name
| UnifromResourceIdentifier IA5String
| IPAddress OctetString
| RegisteredID OID
data GeneralNames = GeneralNames [GeneralName]
data Name = Name RDNSequence
data RDNSequence = RDNSequence [RelativeDistinguishedName]
generalName :: TypeDefn
generalNames :: TypeDefn
name :: TypeDefn
rdnSequence :: TypeDefn
unRDNSequence :: RDNSequence -> [RelativeDistinguishedName]
Type declarations
data GeneralName
Constructors
Rfc822Name IA5String |
DNSName IA5String |
DirectoryName Name |
UnifromResourceIdentifier IA5String |
IPAddress OctetString |
RegisteredID OID |
Instances
Encode GeneralName
Eq GeneralName
PP GeneralName
Show GeneralName
data GeneralNames
Constructors
GeneralNames [GeneralName] |
Instances
Encode GeneralNames
Eq GeneralNames
PP GeneralNames
Show GeneralNames
data Name
Constructors
Name RDNSequence |
Instances
Encode Name
Eq Name
PP Name
Show Name
data RDNSequence
Constructors
RDNSequence [RelativeDistinguishedName] |
Instances
Encode RDNSequence
Eq RDNSequence
PP RDNSequence
Show RDNSequence
Function declarations
generalName :: TypeDefn
generalNames :: TypeDefn
name :: TypeDefn
rdnSequence :: TypeDefn
unRDNSequence :: RDNSequence -> [RelativeDistinguishedName]
Produced by Haddock version 0.8